%global xfceversion 4.14

Name:           xfce4-terminal
Version:        0.8.9.2
Release:        1
Summary:        Terminal Emulator for the Xfce Desktop environment
License:        GPLv2+
#Group:          Development/Libraries
URL:            http://docs.xfce.org/apps/terminal/start
Source0:        http://archive.xfce.org/src/apps/xfce4-terminal/0.8/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:	noarch
BuildRequires:  gcc-c++
BuildRequires:  vte291-devel >= 0.38
BuildRequires:  gtk3-devel >= 3.14.0
BuildRequires:  glib2-devel >= 2.26.0
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
Requires:       dejavu-sans-mono-fonts
Provides: Terminal = %{version}-%{release}

%description
Xfce4-terminal is a lightweight and easy to use terminal emulator application 
with many advanced features including drop down, tabs, unlimited scrolling, 
full colors, fonts, transparent backgrounds, and more.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}
desktop-file-install                                       \
  --delete-original                                        \
  --add-category="GTK"                                     \
  --dir=%{buildroot}%{_datadir}/applications          \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install                                       \
  --delete-original                                        \
  --add-category="GTK"                                     \
  --dir=%{buildroot}%{_datadir}/applications          \
  %{buildroot}%{_datadir}/applications/%{name}-settings.desktop

%ldconfig_scriptlets

%files -f %{name}.lang
%license COPYING
%doc README ChangeLog NEWS AUTHORS HACKING THANKS
%{_bindir}/xfce4-terminal
%{_datadir}/xfce4/terminal
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/gnome-control-center/default-apps/xfce4-terminal-default-apps.xml
%{_mandir}/man1/xfce4-terminal.1.*

%changelog
* Fri Jul 17 2020 <dillon.chen@turbolinux.com.cn> - 0.8.9.2-1
- Init package
